<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateExternaldatasTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: externaldatas
         */
        Schema::create('externaldatas', function ($table) {
            $table->increments('id');
            $table->text('json_id')->nullable();
            $table->string('type', 255)->nullable();
            $table->enum('travel_type', ['roundtrips','cruises','combo'])->nullable();
            $table->enum('status', ['Active','Inactive','Deleted'])->nullable();
            $table->integer('is_converted')->nullable();
            $table->string('title', 255)->nullable();
            $table->string('nr', 200)->nullable();
            $table->text('meta_source')->nullable();
            $table->string('request_code', 200)->nullable();
            $table->string('ship_name', 255)->nullable();
            $table->bigInteger('length')->nullable();
            $table->string('style', 200)->nullable();
            $table->string('style_name', 255)->nullable();
            $table->string('start_loc', 255)->nullable();
            $table->text('page_url')->nullable();
            $table->text('trip_kind_description')->nullable();
            $table->text('trip_days')->nullable();
            $table->text('description')->nullable();
            $table->text('teaser_text')->nullable();
            $table->string('average_pax', 255)->nullable();
            $table->float('base_price')->nullable();
            $table->string('baseprice_wo_flight', 225)->nullable();
            $table->text('extra_styles')->nullable();
            $table->text('highlights')->nullable();
            $table->text('countries')->nullable();
            $table->text('meta_countries')->nullable();
            $table->text('dates_title')->nullable();
            $table->text('date_remark')->nullable();
            $table->text('dates')->nullable();
            $table->text('participants')->nullable();
            $table->text('features')->nullable();
            $table->text('images')->nullable();
            $table->text('location_img')->nullable();
            $table->longText('json')->nullable();
            $table->text('slug')->nullable();
            $table->enum('flag', ['show','hide','enable'])->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 225)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('externaldatas');
    }
}
