Lavalite package that provides externaldata management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `btravel/externaldata`.

    "btravel/externaldata": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Btravel\Externaldata\Providers\ExternaldataServiceProvider::class,

And also add it to alias

    'Externaldata'  => Btravel\Externaldata\Facades\Externaldata::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Btravel\\ExternaldataTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Btravel\Externaldata\Providers\ExternaldataServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Btravel\Externaldata\Providers\ExternaldataServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Btravel\Externaldata\Providers\ExternaldataServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/externaldata/{modulename}

**User**

    http://path-to-route-folder/user/externaldata/{modulename}

**Public**

    http://path-to-route-folder/externaldatas


### API endpoints

**List**

    http://path-to-route-folder/api/user/externaldata/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/externaldata/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/externaldata/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/externaldata/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/externaldata/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/externaldata/{modulename}/{slug}
    METHOD: GET