<?php

// web routes  for externaldata
Route::prefix('{guard}/externaldata')->group(function () {
    Route::resource('externaldata', 'ExternaldataResourceController');
});

// Public routes for externaldata
Route::get('externaldatas/', 'ExternaldataPublicController@index');
Route::get('externaldatas/{slug?}', 'ExternaldataPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ExternaldataResourceController');
            });
            // Public routes for pages
            Route::get('externaldatas/', 'ExternaldataPublicController@index');
            Route::get('externaldatas/{slug?}', 'ExternaldataPublicController@show');
        }
    );
}

