<?php

namespace Btravel\Externaldata;

use User;

class Externaldata
{
    /**
     * $externaldata object.
     */
    protected $externaldata;

    /**
     * Constructor.
     */
    public function __construct(\Btravel\Externaldata\Interfaces\ExternaldataRepositoryInterface $externaldata)
    {
        $this->externaldata = $externaldata;
    }

    /**
     * Returns count of externaldata.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.externaldata.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->externaldata->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\ExternaldataUserCriteria());
        }

        $externaldata = $this->externaldata->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('externaldata::' . $view, compact('externaldata'))->render();
    }
}
