<?php

namespace Btravel\Externaldata\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Btravel\Externaldata\Interfaces\ExternaldataRepositoryInterface;

class ExternaldataPublicController extends BaseController
{
    // use ExternaldataWorkflow;

    /**
     * Constructor.
     *
     * @param type \Btravel\Externaldata\Interfaces\ExternaldataRepositoryInterface $externaldata
     *
     * @return type
     */
    public function __construct(ExternaldataRepositoryInterface $externaldata)
    {
        $this->repository = $externaldata;
        parent::__construct();
    }

    /**
     * Show externaldata's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $externaldatas = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('externaldata::externaldata.names'))
            ->view('externaldata::public.externaldata.index')
            ->data(compact('externaldatas'))
            ->output();
    }


    /**
     * Show externaldata.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $externaldata = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($externaldata->name . trans('externaldata::externaldata.name'))
            ->view('externaldata::public.externaldata.show')
            ->data(compact('externaldata'))
            ->output();
    }

}
