<?php

namespace Btravel\Externaldata\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ExternaldataTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Externaldata\Models\Externaldata $externaldata)
    {
        return [
            'id'                => $externaldata->getRouteKey(),
            'key'               => [
                'public'    => $externaldata->getPublicKey(),
                'route'     => $externaldata->getRouteKey(),
            ], 
            'json_id'           => $externaldata->json_id,
            'type'              => $externaldata->type,
            'travel_type'       => $externaldata->travel_type,
            'is_converted'      => $externaldata->is_converted,
            'title'             => $externaldata->title,
            'nr'                => $externaldata->nr,
            'meta_source'       => $externaldata->meta_source,
            'request_code'      => $externaldata->request_code,
            'ship_name'         => $externaldata->ship_name,
            'length'            => $externaldata->length,
            'style'             => $externaldata->style,
            'style_name'        => $externaldata->style_name,
            'start_loc'         => $externaldata->start_loc,
            'page_url'          => $externaldata->page_url,
            'trip_kind_description' => $externaldata->trip_kind_description,
            'trip_days'         => $externaldata->trip_days,
            'description'       => $externaldata->description,
            'teaser_text'       => $externaldata->teaser_text,
            'average_pax'       => $externaldata->average_pax,
            'base_price'        => $externaldata->base_price,
            'baseprice_wo_flight' => $externaldata->baseprice_wo_flight,
            'extra_styles'      => $externaldata->extra_styles,
            'highlights'        => $externaldata->highlights,
            'countries'         => $externaldata->countries,
            'meta_countries'    => $externaldata->meta_countries,
            'dates_title'       => $externaldata->dates_title,
            'date_remark'       => $externaldata->date_remark,
            'dates'             => $externaldata->dates,
            'participants'      => $externaldata->participants,
            'features'          => $externaldata->features,
            'images'            => $externaldata->images,
            'location_img'      => $externaldata->location_img,
            'json'              => $externaldata->json,
            'slug'              => $externaldata->slug,
            'flag'              => $externaldata->flag,
            'user_id'           => $externaldata->user_id,
            'user_type'         => $externaldata->user_type,
            'deleted_at'        => $externaldata->deleted_at,
            'url'               => [
                'public'    => trans_url('externaldata/'.$externaldata->getPublicKey()),
                'user'      => guard_url('externaldata/externaldata/'.$externaldata->getRouteKey()),
            ], 
            'status'            => trans('app.'.$externaldata->status),
            'created_at'        => format_date($externaldata->created_at),
            'updated_at'        => format_date($externaldata->updated_at),
        ];
    }
}